Skip to main content
GET
Summarize sponsorship lifecycle history

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

donor_entity_id
integer | null

Match donor entity id. Entity/program match either prior or new side.

Required range: x >= 1
Example:

42

donor_id
integer | null

Match donor id. Entity/program match either prior or new side.

Required range: x >= 1
Example:

42

entity_id
integer | null

Match entity id. Entity/program match either prior or new side.

Required range: x >= 1
Example:

42

program_id
integer | null

Match program id. Entity/program match either prior or new side.

Required range: x >= 1
Example:

42

transition_type
enum<string> | null

Lifecycle event transition, including historical compatibility values.

Available options:
started,
reassigned,
transferred,
cancelled,
ended,
recipient_exited,
recipient_archived,
restored,
null
Example:

"started"

reason_context_key
enum<string> | null

Reason context; system is immutable lifecycle history.

Available options:
recipient.archive,
sponsorship.end,
sponsorship.reassign,
system,
null
Example:

"recipient.archive"

reason_code
string | null

Exact stable reason code.

Maximum string length: 100
Example:

"donor_cancelled"

date_from
string<date> | null

Effective date beginning, inclusive.

Example:

"2026-01-01"

date_to
string<date> | null

Effective date ending, inclusive; on or after date_from.

Example:

"2026-12-31"

per_page
integer | null

List page length, default25. Accepted but unused by summary.

Required range: 1 <= x <= 100
Example:

25

Response

Summarize sponsorship lifecycle history completed.

totals
object
by_transition
object[]
by_reason
object[]
by_program
object[]